package com.netmera.netmera_flutter_sdk;

import com.netmera.callbacks.NMWebWidgetCallbacks;

/**
 * Copyright (c) 2023 Netmera Research.
 *
 * @author Initial Code
 */
public class FNetmeraWebWidgetCallbacks implements NMWebWidgetCallbacks {
    private static final String ON_WIDGET_URL_TRIGGERED = "onWidgetUrlTriggered";

    @Override
    public void onDeeplinkTriggered(String s) {
        NetmeraFlutterSdkPlugin.sendEvent(ON_WIDGET_URL_TRIGGERED, s);
    }

    @Override
    public void onOpenUrlTriggered(String s) {
        NetmeraFlutterSdkPlugin.sendEvent(ON_WIDGET_URL_TRIGGERED, s);
    }

    @Override
    public void onWebWidgetShown(String s) {
        // There is no equivalent for this feature in iOS
    }

    @Override
    public void onWebWidgetDismiss(String s) {
        // There is no equivalent for this feature in iOS
    }
}
